package com.yixin.ms.model.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;


import java.util.List;


@Data
@Accessors(chain = true)
public class HealtCodeUserVO {

    /**
     * 用户信息id
     */
    private List<HealtCodeNucleinVO> nuclein;

    private List<HealtCodeTypeVO> data;
    /**
     * 疫苗接种数量
     */
    private String vaccineNum;

    /**
     * 1 未去过中高风险地区 2 去过中高风险地区 3 未查询到 结果
     */
    private String travelValidation;

    @ApiModelProperty("用户姓名")
    private String username;

    @ApiModelProperty(value = "身份号码")
    private String idNumber;

    @ApiModelProperty(value = "是否放行 0放行，1禁止通行")
    private Integer isOpen;

    @ApiModelProperty(value = "通行文案显示")
    private String openMsg;

    @ApiModelProperty("标题说明")
    private String title;

    @ApiModelProperty("标题文字颜色")
    private String titleColor;

    @ApiModelProperty("背景颜色")
    private String backgroundColor;

    @ApiModelProperty("疫苗标题")
    private String vaccineIcoTitle;

    @ApiModelProperty("疫苗图标地址")
    private String vaccineIconUrl;

    @ApiModelProperty("疫苗接种数量字体颜色")
    private String vaccineNumColor;

    @ApiModelProperty("行程标题")
    private String travelValidationTitle;

    @ApiModelProperty("行程图标地址")
    private String travelValidationIconUrl;

    @ApiModelProperty("行程描述")
    private String travelValidationDesc;

    @ApiModelProperty("通行语音播报提示语")
    private String openVoiceMsg;
}

